The current rendering gameplay camera

### Hierarchy

- GameplayCamera

## Index

### Constructors

- constructor

### Accessors

- ForwardVector
- Position
- RelativeHeading
- RelativePitch
- Rotation

## Constructors

### constructor

- new GameplayCamera(): GameplayCamera

- #### Returns GameplayCamera

## Accessors

### Static ForwardVector

- get ForwardVector(): Vector3

- - Defined in GameplayCamera.ts:26

  Get the forward vector of gameplay camera.

  #### Returns Vector3

### Static Position

- get Position(): Vector3

- - Defined in GameplayCamera.ts:10

  Get the world position of gameplay camera.

  #### Returns Vector3

### Static RelativeHeading

- get RelativeHeading(): number
- set RelativeHeading(heading: number): void

- - Defined in GameplayCamera.ts:55

  Get heading of gameplay camera.

  #### Returns number

- - Defined in GameplayCamera.ts:62

  Get heading of gameplay camera.

  #### Parameters

  - ##### heading: number

  #### Returns void

### Static RelativePitch

- get RelativePitch(): number
- set RelativePitch(pitch: number): void

- - Defined in GameplayCamera.ts:41

  Get the pitch of the gameplay camera relative to player.

  #### Returns number

- - Defined in GameplayCamera.ts:48

  Set gameplay camera pitch relative to player.

  #### Parameters

  - ##### pitch: number

  #### Returns void

### Static Rotation

- get Rotation(): Vector3

- - Defined in GameplayCamera.ts:18

  Get the rotation of gameplay camera.

  #### Returns Vector3

Generated using TypeDoc